> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/popularity/popularity.md).

# Popularity

Endpoints for reading popularity/usage data

## Find Popularity

> Returns latest information about the popularity and usage for assets

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"tags":[{"name":"Popularity","description":"Endpoints for reading popularity/usage data"}],"servers":[{"url":"/rest/dataUsage/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"AssetLocator":{"description":"Describes where to search for a specific Catalog asset. It might match more than one result.\n\nIt also specifies the type of the datastore of origin and its commercial name\n","type":"object","required":["type","keys"],"properties":{"type":{"$ref":"#/components/schemas/Type"},"product":{"$ref":"#/components/schemas/ProductName"},"keys":{"$ref":"#/components/schemas/Keys"}}},"Type":{"description":"Identifier for the datastore type of origin.\n","type":"string"},"ProductName":{"description":"Commercial name of the datastore of origin.\n","type":"string"},"Keys":{"description":"Ordered list of names for each member of the hierarchy of an item.\n","type":"array","minItems":1,"items":{"type":"string","nullable":false}},"findPopularityResponse":{"type":"object","required":["assetLocator"],"properties":{"assetLocator":{"type":"array","items":{"$ref":"#/components/schemas/AssetLocator"}},"popularity":{"$ref":"#/components/schemas/Popularity"},"usageData":{"$ref":"#/components/schemas/UsageData"},"errorMessage":{"type":"string"}}},"Popularity":{"type":"object","properties":{"score":{"type":"string"},"calculatedAt":{"type":"string","format":"date-time"}}},"UsageData":{"type":"object","properties":{"fromDate":{"type":"string","format":"date-time"},"toDate":{"type":"string","format":"date-time"},"queryCount":{"type":"integer"},"distinctUsers":{"type":"integer"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/findPopularity":{"post":{"tags":["Popularity"],"summary":"Find Popularity","operationId":"findPopularity","description":"Returns latest information about the popularity and usage for assets","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","maxItems":100,"items":{"$ref":"#/components/schemas/AssetLocator"}}}}},"responses":{"200":{"description":"List of popularity scores","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/findPopularityResponse"}}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```
